/* routines to comminucate with M18ST05B serial VFD */

#include <avr/io.h>
#include <avr/pgmspace.h>
#include <inttypes.h>
#include "vfd.h"

void vfd_cmd(char *cmd) {
	uint8_t len = *cmd;
	cmd++;
	while(len) {
		vfd_putc(*cmd);
		len--;
		cmd++;
	}
	
	return;
}

void vfd_puts_P(const char *str) {
	char byte;
    for(;;) {
		byte = pgm_read_byte(str++);
		if(!byte)
			break;
		vfd_putc(byte);
	}	
}

void vfd_cmd_P(const char *cmd) {
	uint8_t len = pgm_read_byte(cmd++);
	uint8_t byte;
	while(len) {
		byte = pgm_read_byte(cmd++);
		vfd_putc(byte);
		len--;		
	}
}
